<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BiosSocialService Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d06/class_bios_social_service.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">BiosSocialService Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d1/d06/class_bios_social_service.html" title="BiosSocialService is used to query friend list and other social features for the current user.">BiosSocialService</a> is used to query friend list and other social features for the current user.  
 <a href="../../d1/d06/class_bios_social_service.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab39dc029f2dff09f6181a86f06f91cd6"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d06/class_bios_social_service.html#ab39dc029f2dff09f6181a86f06f91cd6">ShowUserProfileAsync</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> uid_target)</td></tr>
<tr class="memdesc:ab39dc029f2dff09f6181a86f06f91cd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display small system UI profile for the target.  <a href="../../d1/d06/class_bios_social_service.html#ab39dc029f2dff09f6181a86f06f91cd6">More...</a><br /></td></tr>
<tr class="separator:ab39dc029f2dff09f6181a86f06f91cd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1da630780fdb4edfc0dd2c714fecb8c2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d06/class_bios_social_service.html#a1da630780fdb4edfc0dd2c714fecb8c2">GetFriendsAsync</a> ()</td></tr>
<tr class="memdesc:a1da630780fdb4edfc0dd2c714fecb8c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Query for friends list.  <a href="../../d1/d06/class_bios_social_service.html#a1da630780fdb4edfc0dd2c714fecb8c2">More...</a><br /></td></tr>
<tr class="separator:a1da630780fdb4edfc0dd2c714fecb8c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51ea0ae9ab75f2a1b9d7bf12f7735ced"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d06/class_bios_social_service.html#a51ea0ae9ab75f2a1b9d7bf12f7735ced">OnUserProfileAsync</a> (<a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</td></tr>
<tr class="memdesc:a51ea0ae9ab75f2a1b9d7bf12f7735ced"><td class="mdescLeft">&#160;</td><td class="mdescRight">Async callback for ShowUserProfileAsync.  <a href="../../d1/d06/class_bios_social_service.html#a51ea0ae9ab75f2a1b9d7bf12f7735ced">More...</a><br /></td></tr>
<tr class="separator:a51ea0ae9ab75f2a1b9d7bf12f7735ced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40353cc644d06cfef8bf0ff8a2e677c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d06/class_bios_social_service.html#a40353cc644d06cfef8bf0ff8a2e677c4">OnFriendsAsync</a> (<a class="el" href="../../db/dee/_bios_social_service_8c.html#a28fce51bcc968a7b375c0149e27c58af">BiosFriendInfoArray</a> friend_list, <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</td></tr>
<tr class="memdesc:a40353cc644d06cfef8bf0ff8a2e677c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Async callback for GetFriendsAsync.  <a href="../../d1/d06/class_bios_social_service.html#a40353cc644d06cfef8bf0ff8a2e677c4">More...</a><br /></td></tr>
<tr class="separator:a40353cc644d06cfef8bf0ff8a2e677c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d1/d06/class_bios_social_service.html" title="BiosSocialService is used to query friend list and other social features for the current user.">BiosSocialService</a> is used to query friend list and other social features for the current user. </p>
<p >Todo: report friend changes </p>

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00023">23</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1da630780fdb4edfc0dd2c714fecb8c2" name="a1da630780fdb4edfc0dd2c714fecb8c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1da630780fdb4edfc0dd2c714fecb8c2">&#9670;&#160;</a></span>GetFriendsAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> BiosSocialService::GetFriendsAsync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Query for friends list. </p>
<p >The async result is returned in the OnFriendsAsync callback.</p>
<dl class="section return"><dt>Returns</dt><dd>EBiosError indicating if the async operation is pending. </dd></dl>

</div>
</div>
<a id="a40353cc644d06cfef8bf0ff8a2e677c4" name="a40353cc644d06cfef8bf0ff8a2e677c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40353cc644d06cfef8bf0ff8a2e677c4">&#9670;&#160;</a></span>OnFriendsAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BiosSocialService::OnFriendsAsync </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/dee/_bios_social_service_8c.html#a28fce51bcc968a7b375c0149e27c58af">BiosFriendInfoArray</a>&#160;</td>
          <td class="paramname"><em>friend_list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a>&#160;</td>
          <td class="paramname"><em>error</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Async callback for GetFriendsAsync. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">friend_list</td><td>list of <a class="el" href="../../de/d49/class_bios_friend_info.html" title="BiosFriendInfo represents friend information.">BiosFriendInfo</a> for each friend. NULL if failed. </td></tr>
    <tr><td class="paramname">error</td><td>error indicating success or fail of the async operation. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00058">58</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>

</div>
</div>
<a id="a51ea0ae9ab75f2a1b9d7bf12f7735ced" name="a51ea0ae9ab75f2a1b9d7bf12f7735ced"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51ea0ae9ab75f2a1b9d7bf12f7735ced">&#9670;&#160;</a></span>OnUserProfileAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BiosSocialService::OnUserProfileAsync </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a>&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Async callback for ShowUserProfileAsync. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>error indicating success or fail of the async operation. Xbox: OK - the user displayed the fullscreen profile Xbox: CANCEL - the user closed the small profile. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00048">48</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>

</div>
</div>
<a id="ab39dc029f2dff09f6181a86f06f91cd6" name="ab39dc029f2dff09f6181a86f06f91cd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab39dc029f2dff09f6181a86f06f91cd6">&#9670;&#160;</a></span>ShowUserProfileAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> BiosSocialService::ShowUserProfileAsync </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>uid_target</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Display small system UI profile for the target. </p>
<p >Xbox: The async result is returned in the OnPermissionsAsync callback.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uid_target</td><td>target user Uid's for which to display profile. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>EBiosError indicating if the async operation is pending. <br  />
 </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Services/<a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d06/class_bios_social_service.html">BiosSocialService</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
